<template>
  <div class="sign-up">
    <nav-bar></nav-bar>
    <div class="columns">
      <div class="column is-4 is-offset-1 box">
        <div class="field">
          <label class="label">Name</label>
          <div class="control">
            <input v-model="form.name" class="input column" type="text" placeholder="Text input">
          </div>
        </div>

        <div class="field">
          <label class="label">Days</label>
          <div class="control">
            <input v-model="form.days" class="input" type="text" placeholder="Days To Do Task">
          </div>
        </div>

        <div class="field">
          <label class="label">User</label>
          <div class="control">
            <div class="select">
              <select v-model="form.user">
                <option>Select User</option>
                <option v-for="user in users" :value="user.Id">{{user.Name}}</option>
              </select>
            </div>
          </div>
        </div>

        <div class="field">
          <label class="label">Type</label>
          <div class="control">
            <div class="select">
              <select v-model="form.type">
                <option>Select Type</option>
                <option>Not Important</option>
                <option>Important</option>
                <option>Very Important</option>
              </select>
            </div>
          </div>
        </div>

        <div class="field">
          <label class="label">State</label>
          <div class="control">
            <div class="select">
              <select v-model="form.state">
                <option>Select State</option>
                <option>Draft</option>
                <option>In Progress</option>
                <option>Done</option>
              </select>
            </div>
          </div>
        </div>

        <div class="field">
          <label class="label">Description</label>
          <div class="control">
            <textarea class="textarea" v-model="form.description" placeholder="Textarea"></textarea>
          </div>
        </div>

        <div class="field is-grouped columns">
          <div class="control column is-4 is-offset-3">
            <button @click="submitForm" class="button is-primary" id="buttn">Submit</button>
          </div>
        </div>
      </div>
      <div class="column is-offset-2">
        <div class="columns">
          <div class="column">
            <div class="card">
              <div class="card-header">
                <div class="card-header-title" style="padding-left: 25px">
                  {{form.name}}
                </div>

              </div>
              <div class="card-content">
                <div class="content">
                  {{form.description}}
                  <br>
                  Time left: {{form.days}} Days
                </div>
              </div>
              <footer class="card-footer">
                <a class="card-footer-item">Done</a>
                <a class="card-footer-item">Edit</a>
                <a class="card-footer-item">Delete</a>
              </footer>
            </div>
          </div>
        </div>
      </div>

    </div>

  </div>
</template>

<script>
  import firebase from 'firebase'
  import axios from 'axios'
  import Navbar from './Navbar'

  export default {
    name: 'createTask',
    data: function() {
      return {
        name: '',
        type: '',
        user: '',
        state: '',
        current_user_id: firebase.auth().currentUser.uid,
        group_id: '',
        create: false,
        users: [],
        form: {
          name: "",
          type: "Select Type",
          days: "",
          state: "Select State",
          user: "Select User",
          description: ""
        }
      }
    },
    components: {
      'nav-bar': Navbar,
    },
    methods: {
      submitForm() {
        console.log(this.create);
        if(!this.create){
          console.log('WTTTF?');
          alert('You do not have rights to create task!')
        }
        axios.post('https://unitask-604a4.firebaseio.com/task.json', this.form)
        .then(this.$router.replace('dashboard'))
      }
    },
    mounted () {
      console.log('hello world');
      this.current_user_id = firebase.auth().currentUser.uid;
      axios.get('https://unitask-604a4.firebaseio.com/users.json')
        .then( res => {
          for (var key in res.data){
//          construct users objects
            this.users.push({Id: res.data[key].id, Name: res.data[key].name})
            console.log(res.data[key].id);
            console.log(this.current_user_id);
            if(res.data[key].id == this.current_user_id){
              this.admin = true;
              this.group_id = res.data[key].group_id;
            }
          }
          axios.get('https://unitask-604a4.firebaseio.com/groups.json')
            .then( res => {
//              console.log('BLEEEEEET')
              for (var key in res.data){
//                console.log(key);
//                console.log(this.group_id);
                if(key == this.group_id && res.data[key].create){
                  this.create = true;
                }}
            });
        })
    },
  }
</script>

<style scoped>
  #buttn {
    width: 200%;
  }
</style>
